/*****************************************************************************/
//    Backtrack.h
/*****************************************************************************/

#ifndef _Backtrack_H_
#define _Backtrack_H_

#include "SemiNaive.h"
#include "Rule.h"

/*****************************************************************************/

int corgetSuccessBacktrackPoint(corSemiNaive *sn, corClause *clause, int ng_facts);
int corgetSuccessBacktrackPoint(corRuleInfo *rInfo, int ng_facts);

int corgetfirstFailureBacktrackPoint(corSemiNaive *sn, int rhs_index, int ng_facts);
int corgetfirstFailureBacktrackPoint(corRuleInfo *rInfo, int rhs_index, int ng_facts);

int corgetnextFailureBacktrackPoint(corSemiNaive *sn, int rhs_index, int ng_facts);
int corgetnextFailureBacktrackPoint(corRuleInfo *rInfo, int rhs_index, int ng_facts);

/*****************************************************************************/

#endif _Backtrack_H_

