#ifndef _CRDBSOLVERS_H_
#define _CRDBSOLVERS_H_

class corBindEnv;		// forw. decl.
class corBuiltinRelation;	// forw. decl.
class corTupleIterator;	// forw. decl.


//--------------- Builtin Rdb Command Solvers ---------------
corBindEnv* RdbOpenDBSolver(  corBuiltinRelation& rel, corTupleIterator& iterator);
corBindEnv* RdbMapSolver(     corBuiltinRelation& rel, corTupleIterator& iterator);
corBindEnv* RdbJoinSolver(    corBuiltinRelation& rel, corTupleIterator& iterator);
corBindEnv* RdbCommitSolver(  corBuiltinRelation& rel, corTupleIterator& iterator);
corBindEnv* RdbRollbackSolver(corBuiltinRelation& rel, corTupleIterator& iterator);
corBindEnv* RdbExecuteSolver( corBuiltinRelation& rel, corTupleIterator& iterator);

//--------------- New Syntax ---------------------
corBindEnv* RdbWorkspaceSolver( corBuiltinRelation& rel, corTupleIterator& iterator);

// Temporary, until moved to a part of set().
corBindEnv* RdbLoggingSolver( corBuiltinRelation& rel, corTupleIterator& iterator);

#endif // _CRDBSOLVERS_H_
