/*****************************************************************************/
//    DontCareArg.h
/*****************************************************************************/

#ifndef _DontCareArg_H_
#define _DontCareArg_H_

#include "Arg.h"
#include "SymbolArg.h"

/*****************************************************************************/

struct corDontCareArg : public corArg {
    Name _functor;/* functor info if kind==COR_FUNCTOR */
    inline corDontCareArg() { _functor = corDontCareSymbol; _kindof = COR_DONTCARE;};
    virtual ~corDontCareArg() {};

    virtual int isConstant();
    virtual int equals(corArg *arg2);

    virtual void print(corBindEnv*, FILE *file) const;
    virtual void print(corBindEnv*, FILE *file, char *fmt_str) const;
    virtual void sprint(char *str, int *pos, corBindEnv *context = NULL) const;
};

/*****************************************************************************/

extern corDontCareArg corTheDontCareArg;

/*****************************************************************************/

#endif _DontCareArg_H_

