#ifndef _CRDBDATABASE_H_
#define _CRDBDATABASE_H_

#include "DatabaseStruct.h"


class corCRdbDatabase
: public corDatabaseStruct
{
  public:

    corCRdbDatabase(Name newWs_name,
		 RdbDatabase* newRdbDatabase);

    ~corCRdbDatabase();

  private:

    RdbDatabase* rdbDatabase;

};


inline corCRdbDatabase::corCRdbDatabase(Name newWs_name,
				  RdbDatabase* newRdbDatabase);
: corDatabaseStruct(newWs_name)
{
    rdbDatabase = newRdbDatabase;
}


inline corCRdbDatabase::~corCRdbDatabase()
{
    delete rdbDatabase;
}


#endif // _CRDBDATABASE_H_
