//**************************************************************************
//    Util.h
//**************************************************************************

#ifndef _Util_H_
#define _Util_H_

#include <stdio.h>

#include "BitVector.h"

//**************************************************************************

FILE *coropen_file(char *name);
int corDisplayFile(char *file_name);

char *cormk_tmp_file_name(char *name);
char *cormake_done_prefix();

int corConvertAdornment(corBitVector& bits, char *adorn_string, int adorn_length);

int corStrHash(const char *s, int n);
int corhash_string(const char *text, int len);

int corconsultFile(char *filename, char *stack_filename);
int corconsultFile(char *filename, char *stack_filename, int fd);
int corconsultBuff(char *buffer, char *buffname);

//**************************************************************************

#endif _Util_H_

