/*****************************************************************************/
//    RMarkArray.h
/*****************************************************************************/

#ifndef _RMarkArray_H_
#define _RMarkArray_H_

#include "RMark.h"

/*****************************************************************************/

// NOTE : We have a problem here, because RMarks cannot be statically
// declared, since their type depends on the type of the relation, that
// can only be found at run-time. This should be modified to allow each
// RMark * to point to an allocated RMark of the appropriate type. This
// saves on new() and delete() calls being executed repeatedly in the
// scc evaluation loop.

struct corRMarkArray {
public:
    corRMark **markList;
    int array_size;

    corRMarkArray(int size);
    ~corRMarkArray();
    void New_To_Old(int i);
};

/*****************************************************************************/

#endif _RMarkArray_H_

