#include <iostream.h>
#include <stdiostream.h>
#include "ArgList.h"

class corBoundArgList {
  public:

    corBoundArgList(corArgList& _argList, corBindEnv* _pBindEnv);

    friend ostream& operator<<(ostream& os, const corBoundArgList& bal);

  private:

    corArgList& argList;

    corBindEnv* pBindEnv;

};


inline corBoundArgList::corBoundArgList(corArgList& _argList, corBindEnv* _pBindEnv)
: argList(_argList),
  pBindEnv(pBindEnv)
{
}


inline ostream& operator<<(ostream& os, const corBoundArgList& bal)
{
    // until everything is using streams, os better be using a stdiobuf
    bal.argList.print(bal.pBindEnv, ((stdiobuf*)(os.rdbuf()))->stdiofile());
}
