/*****************************************************************************/
//    BuiltinBinaryRelation.h
/*****************************************************************************/

#ifndef _BuiltinBinaryRelation_H_
#define _BuiltinBinaryRelation_H_

#include "BuiltinRelation.h"

/*****************************************************************************/

typedef const corCArg (*BinaryProc)(const corCArg arg0, const corCArg arg1);

/*****************************************************************************/

class corBuiltinBinaryRelation : public corBuiltinRelation {
public:
    BinaryProc op;

    corBuiltinBinaryRelation(int a, Name n, BinaryProc bin_op);

    virtual corBindEnv* get_next(corTupleIterator&);
    int is_printable_builtin() {return 0;}
};

/*****************************************************************************/

#endif _BuiltinBinaryRelation_H_

