/*****************************************************************************/
//    CoralBreak.h
/*****************************************************************************/

#ifndef _CoralBreak_H_
#define _CoralBreak_H_

#include "BitVector.h"

/*****************************************************************************/

class corbreak_info {
public:
    char module_name[80];
    int all;                        // flag to break all
    int module_flag;                // flag to break on module
    corBitVector* scc_flags;           // bitvector used to control scc break
    corBitVector* rule_flags[50];      // bitvector used to control rule break
};

/*****************************************************************************/

extern int coropt;           // flag turned on if coral break is set

extern char* corScc_String;
extern char* corIteration_String;
extern char* corRule_String;

extern char* cordump_str;
extern char* cormy_str;

extern corbreak_info corb;

/*****************************************************************************/

void coral_break(char* s, int id);

/*****************************************************************************/

#endif _BreakInfo_H_

