/*****************************************************************************/
//    History.h
/*****************************************************************************/

#ifndef _History_H_
#define _History_H_

#include <stdio.h>

/*****************************************************************************/

class corHistory {
private:
    char **commands;
    int    *counts;
    int array_size;
    int cur_pos;

public:
    corHistory(int size);
    corHistory();
    ~corHistory() {
        delete commands;
        delete counts;
    };
    void addCommand(char *str, int current_count);
    char * getCommand(int desired_count);
    void display(FILE *outf);
};

/*****************************************************************************/

#endif _History_H_

