/*****************************************************************************/
//    Scc.h
/*****************************************************************************/

#ifndef _Scc_H_
#define _Scc_H_

//#include "Predicate.h"

/*****************************************************************************/

class corPredicate;
class corSccInfo;

struct PredList {
  corPredicate *pred;
  struct PredList *next;
};

/*****************************************************************************/
// Scc structure used for scc analysis of rules

struct corScc {
    struct corScc *next;        // sccs are chained through this field
    corPredicate *preds;        // list of predicates in the scc
    int scc_no;                // scc number: added by Ken
   struct PredList *ext_preds; // list of external predicates: added by Ken
   corSccInfo *sccInfo;        // sccInfo associated with this scc: added by Ken
    int recursive;
    int emitted;            // Last ExportInfo::sequence that generated code

    void print(FILE* fd, int print_preds = 1, int print_rules = 1);
};

/*****************************************************************************/

#endif _Scc_H_

