#ifndef _RDBINGRESINSERT_H_
#define _RDBINGRESINSERT_H_

#include "RdbInsert.h"
#include "RdbIngresSqlda.h"


class RdbIngresInsert
: public RdbInsert
{
  public:

    RdbIngresInsert(RdbRelation& newRel);

    ~RdbIngresInsert();

  private:

    RdbIngresSqlda tupleDA;	// tuple to insert

    static unsigned insertNum;	// first one better be free when this
				// rolls over!!

    ErrorCode Describe();	// prepares the insert statement

    ErrorCode PrepareDA();	// prepares the insert tupleDA

    ErrorCode Bind(const RdbItemList& bindings); // prepares the insert tupleDA

    virtual ErrorCode VInsert(const RdbItemList& newTuple);

    RdbIngresInsert(const RdbIngresInsert&); // na

    RdbIngresInsert& operator =(const RdbIngresInsert&); // na
};


#include "RdbIngresInsert.i"

#endif // _RDBINGRESINSERT_H_
