/*****************************************************************************/
//    CoralClasses.h
/*****************************************************************************/

#ifndef _CoralClasses_H_
#define _CoralClasses_H_

/*****************************************************************************/

class corADistArg;                // derived from corNumArg
class corAggSelInfo;
class corAliasList;
class corArrayArg;                // derived from corArg
class corArrayBindEnv;            // derived from corBindEnv
class corArg;
class corArgList;
class corAvgArg;                  // derived from corNumArg 

class corBindEnv;
class corBitVector;
class corBoundArgList;
class corBPlusTreeIndex;          // derived from corIndexStruct
class corbreak_info;
class corBufferGroup;
class corBuiltinRelation;         // derived from corRelation
class corBuiltinBinaryRelation    // derived from corBuiltinRelation
class corBuiltinCompareRelation   // derived from corBuiltinRelation
class corBuiltinDebugRelation     // derived from corBuiltinRelation
class corBuiltinFailRelation      // derived from corBuiltinRelation
class corBuiltinIndexRelation     // derived from corBuiltinRelation
class corBuiltinSetRelation       // derived from corBuiltinRelation
class corBuiltinTraceRelation     // derived from corBuiltinRelation
class corBuiltinUnaryRelation     // derived from corBuiltinRelation
class corBuiltinUserRelRelation   // derived from corBuiltinRelation
class corBuiltinUserTupleRelation // derived from corBuiltinRelation

class C_ScanDesc;
class corCatalog;
class corClause;
class corConnectArray;
class corConnection;
class corConstArg;                // derived from corArg
class corContext;
class corContextNode;
class CoralConfig;
class CoralSock;
class CoreHashTable;           // derived from corGenericHashTable
class corCRdbDatabase;
class corCRdbManager;
class corCRdbRelation;
class corCRdbVar;
class corCRdbVarPtrList;

class corDatabaseStruct;
class corDBEntry;
class corDerivedRelation;         // derived from corRelation
class corDistArg;                 // derived from corNumArg

class corExecutionEnv;
class corExecutionList;
class corExportInfo;
class corExprArg;			// 

class corFileDescStruct;
class corFixedArrayArg;           // derived from corArrayArg
class corFuncArg;                 // derived from corArg

class corGArrayBindEnv;           // derived from corBindEnv
class corGenericHashTable;
class corGenericIndex;
class corGenericIndexSet;
class corGoalNode;                // derived from corTuple
class corGoalNodeLink;
class corGrouping;                // derived from corArg

class corHashNode;
class corHashIndex;               // derived from corGenericIndex
class corHashIndexSet;            // derived from corGenericIndexSet
class corHashSimpleRelation;      // derived from corStorageRelation
class corHeapNode;
class corHistory;

class corIndexStruct;

class corLinkedRelation;          // derived from corStorageRelation
class corLiteral;
class corLogicalArrayArg;         // derived from corArrayArg

class corModulePred;
class corModuleInfo;
class corModuleEnv;

//class corNumArg;   // (actually a struct) derived from corConstArg

class corParameterStruct; 
class corParserEnv;
class corParserStruct;
class corParseStack;
class corPersistentIndex;          // derived from corGenericIndex
class corPersistentIndexSet;       // derived from corGenericIndexSet
class corPersistentRel;            // derived from corStorageRelation
class corPipelinedDerivedRelation; // derived from corDerivedRelation
class corPipelinedExecInfo;
class corPredAnnotations;
class corPredicate;
class corPrioritizeInfo;

class corQFModuleData;
class corQFMaterializedModuleData; // derived from corQFModuleData
class corQFPipelinedModuleData;    // derived from corQFModuleData

class corRefdData;
class corReference;
class corRelation;                // derived from corArg
class corRelationLink;
class corRelationList;
class corRelationStruct;
class corRMark;
class corRuleAnno;
class corRuleAnnoCase;
class corRuleAnnoCaseDetails;
class corRuleAnnoCaseName;
class corRuleAnnotes;
class corRuleEnv;
class corRuleInfo;
class corRuleInfoArray;

class corSccInfo;
class corSchema;
class corStackMark;
class corStorageManager;
class corStorageRelation;         // derived from corRelation, corTupleList
class corSuspendContext;
class corsuspensionClass;
class corSymbol;

class corTable;
class corTerm;
class corTerm_garray;
class corTrail;
class corTransaction;
class corTrieNode;
class corTuple;
class corTupleIterator;
class corTupleLink;
class corTupleList;

class corUser;

class corVersionedBindEnv;        // derived from corBindEnv

/*****************************************************************************/

typedef class corSymbol Name;

typedef struct corArg corArg, *ArgPtr;

/*****************************************************************************/

#endif _CoralClasses_H_

