/*****************************************************************************/
//    PrioritizeInfo.h
/*****************************************************************************/

#ifndef _PrioritizeInfo_H_
#define _PrioritizeInfo_H_

#include "Relation.h"

/*****************************************************************************/

class corPrioritizeInfo {
public:
     int argnum;
     int order;
        // > 0 --> maximum first,
        // < 0 --> minimum first,
        // = 0 --> no ordering.

     corRelation *hidden_relation;        // Hidden part of relation
     corPrioritizeInfo *next;

     corPrioritizeInfo(int _order = 0, int _argnum = 0) {
         order = _order;
         argnum = _argnum;
         hidden_relation = NULL;
     }
};

/*****************************************************************************/

#endif _PrioritizeInfo_H_

