/*****************************************************************************/
//    ModuleEnv.h
/*****************************************************************************/

#ifndef _ModuleEnv_H_
#define _ModuleEnv_H_

#include "SccEnv.h"
//#include "QFMaterializedModuleData.h"

/*****************************************************************************/

class corQFMaterializedModuleData;

/*****************************************************************************/
// Contains all structures allocated at module invocation time.

struct corModuleEnv {
public:
    corSccEnv** scc_envs;            // array of size moduledata->numSccs of scc
                                // environments
    int numSccs;
    corQFMaterializedModuleData *parent_md;

    corModuleEnv(corQFMaterializedModuleData *parent);
    ~corModuleEnv();
};

/*****************************************************************************/

#endif _ModuleEnv_H_

