/*****************************************************************************/
//    SccEnv.h
/*****************************************************************************/

#ifndef _SccEnv_H_
#define _SccEnv_H_

#include "RMarkArray.h"
#include "RuleEnv.h"

/*****************************************************************************/

class corSccInfo;

/*****************************************************************************/
// Holds run time data structures for SccInfo that need to be allocated at every module invocation

struct corSccEnv {
public:
    corSccInfo *parent_scc;
    corRMarkArray *rm_Arr;
    int numSNRules;
    corRuleEnv **snrule_envs;  // size of this array is parent_scc->numSNRules;
    corSccEnv(corSccInfo *parent);
    ~corSccEnv();
};

//typedef struct SccEnv SccEnv;

/*****************************************************************************/

#endif _SccEnv_H_

