/*****************************************************************************/
//    Schema.h
/*****************************************************************************/

#ifndef _Schema_H_
#define _Schema_H_

/*****************************************************************************/

enum DBTermType {
  COR_INT_DBTYPE,
  COR_DOUBLE_DBTYPE,
  COR_STRING_DBTYPE,
  COR_INVALID_DBTYPE,
};

/*****************************************************************************/

class corSchema {
public:
    DBTermType types[COR_MAX_ARGLIST_SIZE];
    int arity;

    // Takes a schema definition as an ArgList
    corSchema(corArgList &arglist, int& error);
    corSchema() { arity = 0 ;};

    void operator=(corSchema& schema2);
    DBTermType operator[](int index)
    {
        return (index < COR_MAX_ARGLIST_SIZE) ?
            types[index] : COR_INVALID_DBTYPE ;
    }

    void printon(FILE *outf);
};

/*****************************************************************************/

#endif _Schema_H_

