/*****************************************************************************/
//    HandleExport.C
/*****************************************************************************/

#include <stdio.h>

#include "HandleExport.h"

/*****************************************************************************/

#define MAX_NUM_OF_ARGS 10

/*****************************************************************************/
handle_export::handle_export()
{
    limit = MAX_NUM_OF_ARGS;
    args_type = new kind[limit];
    num_of_args = 0;
    name = NULL;
    opt_exported_name = NULL;
}

/*****************************************************************************/
void handle_export::put_next_arg(kind k)
{
    if ((num_of_args + 1) >= limit)  {
        fprintf(stderr, "unimplemented feature \n");
        fprintf(stderr, "cannot handle this many args currently.\n");
        fprintf(stderr, "set value of MAX_NUM_OF_ARGS in file HandleExport.C\
  appropriately to make it work\n");
        return;
    }
    
    args_type[num_of_args] = k;
    num_of_args++;
}

/*****************************************************************************/
kind* handle_export::get_arg(int number)
{
    if (number >= num_of_args) {
        fprintf(stderr, "there are only %d  number of args & not %d \n",
            num_of_args, number);
        //    check this
        return &(args_type[num_of_args - 1]);
    }

    if (number < 0) {
        fprintf(stderr, "the arg number should  be > 0 and not %d \n", number);
        return &(args_type[0]);
    }

    return &(args_type[number]);
}

/*****************************************************************************/

